ViennaCL - The Vienna Computing Library: viennacl::device_specific::execution_handler Class Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | List of all members
viennacl::device_specific::execution_handler Class Reference

`#include <execution_handler.hpp>`

## Public Types
typedef std::map< std::string, tools::shared_ptr < template_base > > | container_type

## Public Member Functions
| execution_handler (std::string const &program_name_base, viennacl::ocl::context &ctx, viennacl::ocl::device const &device, bool force_recompilation=false)
void | add (std::string const &key, template_base const &T, statements_container const &statements)
template_base * | template_of (std::string const &key)
void | execute (container_type::key_type const &key, statements_container const &statements)

## Detailed Description

Definition at line 39 of file execution_handler.hpp.

## Member Typedef Documentation

typedef std::map< std::string, tools::shared_ptr<template_base> > viennacl::device_specific::execution_handler::container_type

Definition at line 42 of file execution_handler.hpp.

## Constructor & Destructor Documentation

viennacl::device_specific::execution_handler::execution_handler | ( | std::string const & | program_name_base,
|  | viennacl::ocl::context & | ctx,
|  | viennacl::ocl::device const & | device,
|  | bool | force_recompilation = `false`
| ) |  |
| inline

Definition at line 63 of file execution_handler.hpp.

## Member Function Documentation

void viennacl::device_specific::execution_handler::add | ( | std::string const & | key,
|  | template_base const & | T,
|  | statements_container const & | statements
| ) |  |
| inline

Definition at line 70 of file execution_handler.hpp.

void viennacl::device_specific::execution_handler::execute | ( | container_type::key_type const & | key,
|  | statements_container const & | statements
| ) |  |
| inline

Definition at line 86 of file execution_handler.hpp.

template_base* viennacl::device_specific::execution_handler::template_of | ( | std::string const & | key | ) |
| inline

Definition at line 81 of file execution_handler.hpp.

The documentation for this class was generated from the following file:

- viennacl/device_specific/execution_handler.hpp